---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Creates a new peripheral by ID

```xml Sample Request Body
<peripheral_type>
	<name>Peripheral Type Name</name>
	<fields>
		<field>
			<name>Peripheral Field Name</name>
			<order>1</order>
			<type>menu</type>
			<choices>
				<choice>Value for menu type</choice>
			</choices>
		</field>
	</fields>
</peripheral_type>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/peripheraltypes/id/{id}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "peripheraltypes"
        ],
        "summary": "Creates a new peripheral by ID",
        "operationId": "createPeripheralTypeById",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "ID value to filter by",
            "schema": {
              "type": "integer",
              "default": 0
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```